Replace easy_install_package with python_package
[chef.git] / cookbooks / dev / metadata.rb
1 name              "dev"
2 maintainer        "OpenStreetMap Administrators"
3 maintainer_email  "admins@openstreetmap.org"
4 license           "Apache 2.0"
5 description       "Installs and configures dev services"
6 long_description  IO.read(File.join(File.dirname(__FILE__), "README.md"))
7 version           "1.0.0"
8 depends           "apache"
9 depends           "passenger"
10 depends           "git"
11 depends           "mysql"
12 depends           "nodejs"
13 depends           "postgresql"
14 depends           "python"
15 depends           "tools"
16 depends           "web"
17
18 attribute "rails",
19   :display_name => "Rails Configuration",
20   :description => "Hash of rails port configuration information",
21   :type => "hash"
22
23 attribute "rails/sites",
24   :display_name => "Rails Installations",
25   :description => "Hash of rails port installations to configure",
26   :type => "hash"
27
28 attribute "rails/sites/repository",
29   :display_name => "Repository",
30   :description => "Git repository to use",
31   :default => "git://git.openstreetmap.org/rails.git"
32
33 attribute "rails/sites/revision",
34   :display_name => "Revision",
35   :description => "Revision to use",
36   :default => "live"
37
38 attribute "rails/sites/database",
39   :display_name => "Database",
40   :description => "Database to use",
41   :default => nil